#wifi-wrapper {
  position: absolute;
  width: 100%;
  height: 100%;
  overflow: scroll;
}

#wifi li {
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
  overflow: hidden;
}

#wifi [data-type="list"] {
  padding: 0;
  margin: 0;
}

#wifi [data-type="list"] li > span {
  padding: 1rem 5.2rem 0.5rem 5.2rem;
  color: var(--color-gs90);
  line-height: 1;
  overflow: auto;
  overflow-x: hidden;
  text-overflow: ellipsis;
}

#wifi [data-type="list"] li > label {
  padding:0 5.2rem 0 5.2rem;
}

#wifi-searching {
  height: 100%;
  width: 100%;
}

#wifi-searching div{
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  text-align: center;
  color: var(--color-gs70);
  justify-content: center;
}

#wifi #no-result-message {
  width: 100%;
  text-align: center;
  color: var(--color-gs70);
}

.no-network {
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
}

#wifi [data-type="list"] li > aside {
  float: left;
  position: absolute;
  margin: 1.4rem 1rem;
}

aside.wifi-icon {
  background-repeat: no-repeat;
  background-position: 0 center;
  background-size: 16rem;
  height: 3.2rem;
  width: 3.2rem;
}
aside.wifi-signal       { background-image: url(images/wifi_disconnected_sprite.png);}
aside.connected         { background-image: url(images/wifi_connected_sprite.png);}
aside.secured           { background-image: url(images/wifi_disconnected_locked_sprite.png);}
aside.secured.connected { background-image: url(images/wifi_connected_locked_sprite.png);}
aside.level-0 { background-position:     0    0;}
aside.level-1 { background-position:  -3.2rem 0;}
aside.level-2 { background-position:  -6.4rem 0;}
aside.level-3 { background-position:  -9.6rem 0;}
aside.level-4 { background-position: -12.8rem 0;}
.focus aside.level-0 { background-position:     0    -3.2rem;}
.focus aside.level-1 { background-position:  -3.2rem -3.2rem;}
.focus aside.level-2 { background-position:  -6.4rem -3.2rem;}
.focus aside.level-3 { background-position:  -9.6rem -3.2rem;}
.focus aside.level-4 { background-position: -12.8rem -3.2rem;}

aside.secured.connecting { background-image: url(images/wifi_connected_locked_sprite.png);}
aside.connecting {
  background-image: url(images/wifi_connected_sprite.png);
  animation-duration: 1s;
  animation-iteration-count: infinite;
  animation-timing-function: step-start;
  animation-name: wifi-signal;
}
@keyframes wifi-signal {
 0%     { background-position:     0    0; }
 25%    { background-position:  -3.2rem 0; }
 50%    { background-position:  -6.4rem 0; }
 75%    { background-position:  -9.6rem 0; }
 100%   { background-position: -12.8rem 0; }
}

#wifi-auth ul > li  {
  display: flex;
  flex-direction: column;
}

#wifi-auth ul > li > label {
  width: 100%;
  height: 100%;
  margin: 0;
  display: flex;
  flex-direction: row;
  align-items: center;
  line-height: 1;
}

#wifi-auth ul > li > span {
  padding: 0.6rem 0 0.3rem;
  color: var(--color-gs70);
}

#wifi-config-container {
  position: absolute;
  width: 100%;
  height: 100%;
  overflow: scroll;
  opacity: 1;
  background-color: var(--color-gs00);
}

.checkbox-li {
  padding: 0 0 0 1rem;
}

.input-li {
  padding: 0 1rem;
  height: 7.5rem;
}
